For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList available models
      • GETGet grouped models
      • GETList search-capable models
      • GETList configured search providers
      • GETList model configurations
      • POSTCreate model configuration
      • PUTUpdate model configuration
      • DELDelete model configuration
      • PATCHEnable or disable model configuration
      • PATCHSet default model configuration
      • GETGet model configuration usage
      • GETList distinct models in use
Dashboard
LogoLogo
Runtype APIModel Configs

Enable or disable model configuration

PATCH
/v1/model-configs/:id/status
PATCH
/v1/model-configs/:id/status
$curl -X PATCH https://api.runtype.com/v1/model-configs/id/status \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "isEnabled": true
>}'
1{
2 "success": true,
3 "message": "Model configuration status updated successfully."
4}
Toggle the enabled flag on a model configuration.
Was this page helpful?
Previous

Set default model configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
isEnabledbooleanRequired

Response

Status updated
successboolean
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error